   <!--body { font-family: 'Open Sans', sans-serif; }-->
    body { 
        background-color: rgb(255,255,255);
        font-family: 'PT Sans', sans-serif; 
        margin: 0px;
        padding: 0px;
    }
    td { vertical-align: top; }

/* buttons */
    button, input[type="button"], input[type="submit"] { 
        background-image: linear-gradient(to bottom, #fff 0px, #f2f4f3 100%);
        border: 1px solid #c5c5c5;
        border-radius: 4px;
        color: #000;
        padding: 10px 20px;
    } 


    /* box for images */
    .img {
	margin-left: auto;
	margin-right: auto;
	display: block;
        text-align: center;
    }

    /* horizontal rule */
    hr.hrclass {
        color: rgb(170,170,170);
        background-color:rgb(170,170,170);
        height:1px;
        border-width: 0px;
    }


    /* colors of messages */
    span.error {
	color:red;
    }
    span.warning {
	color:blue;
    }


    /* look of main boxes */

    .topbox {
        color: white;
        font-size: 40px;
        text-align: center;
        font-weight:bold;
        vertical-align: middle;
        margin: 0px;
        padding: 40 0;
        /*height: 100;*/
        background: rgb(82, 125, 152);
             min-width: 1024;
    }

    .logobox {
        /*color: white;
        background: rgb(82, 125, 152);*/
        text-align: center;
        padding: 5;
        width: 155;
        display:inline-block;
    }
    .titlebox {
        /*color: white;
        background: rgb(82, 125, 152);*/
        text-align: center;
        padding: 5;
        width: 780;
        display:inline-block;
    }

    .menubox {
        padding: 0px;
        margin: 0;
        margin-bottom:40;
        font-size: 20px;
        text-align: center;
        /*border: 1px solid rgb(180,180,180);*/
        background: #f2f2f2;
        min-width: 1024;
        border-top: 1px solid rgb(170,170,170);
    }
    .menuboxon {
        color: white;
        background: rgb(82, 125, 152);
        text-align: center;
        padding: 5;
        width: 255;
        display:inline-block;
    }
    .menuboxoff {
        color: rgb(110,110,110);
        text-align: center;
        padding: 5; 
        width: 255;
        display:inline-block;
    }
    /*.menuboxoff:hover {
        background: rgb(110, 110, 110);
    }*/

    .menubox a:link,
    .menubox a:hover,
    .menubox a:active,
    .menubox a:visited
    {
        color: rgb(110,110,110);
        text-decoration: none;
    }
    .menuboxoff a:hover
    {
        color: rgb(60,60,60);
    }


    .footerbox {
        color: black;
        font-size: 12px;
        text-align: center;
        vertical-align: middle;
        margin: 0px;
        padding: 40 0;
        height: 180;
        background: #f2f2f2;
            min-width: 1024;
    }

    .sectionbox {
        border: 1px solid rgb(180,180,180);
        margin: 10 auto;
        padding: 30px 50px 30px 50px; /* trbl */
        width: 980;
    }

    .sectionboxtitle {
        font-size: 24px;
        text-align: left;
        font-weight: bold;
    }





    /*************************************************************************/
    /* topo section */
    .topoboxwrapper {
        margin: 20 auto 20 auto;
        text-align: left;
        width: 820;
    }
    
    .topobox {
        display: inline-block;
        border: 1px solid rgb(255,255,255);
    }
    .topobox:hover {
        border: 1px solid rgb(180,180,180);
    }

    /* highlight of topology selection */   
    .highlighted {
        /*background: #ccc;*/
        border-width:  1px;
        border-style: solid;
        border-color: rgb(180,180,180); 
    }
    .nonhighlighted {
        background: none;
        border-width:  1px;
        border-style: solid;
        border-color: #fff;

    }





    /*************************************************************************/

    /* look of textarea boxes */
    .statustextarea {
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 60em;
        height: 10em;
    }

    .codetextarea {
        display: block;
        margin-left: auto;
        margin-right: auto;
        margin-top: 3em;
        margin-bottom: 5em;
        width: 60em;
        /*
        height: auto;
        resize: auto;
        min-height:300px;
        max-height:850px;
         */
    }




    /* look of buttons */

    /* look of submit button */
    .submitbutton {
        border: 1em solid #e7c157;
        width: 57em;
        height: 100px;
    }
    .submitbuttonwrapper {
        margin:auto;
        text-align:center;
    }

    .inlinebutton {
        height: 2em;
        padding: 0;
        vertical-align:middle;
    }


    
    /* look of (text) inputs */
/*    input, select {
         height: 2em;
         vertical-align:middle;
    }
*/
 
     
    
    /* parameter input table format */
    .meshparamform {
        margin: 25 auto 50 auto;
        text-align: center;
    }
    
    .paramlabelbox {
        display: inline-block;
        width: 150px;
        text-align: right;
        margin: 0 12 0 12;
    }
    .paramdescriptionbox {
        display: inline-block;
        width: 450px;
        text-align: left;
        margin: 0 12 0 12;
}

    /* small extra gap between form lines */
    .smallgap {
      height: 8px;
}




    /**************************/
    /* mesh trafo and bc mods */

    .removetrafo, .removebcmod {
            vertical-align: middle;
            padding: 0;
            margin: 4;
            height:28;
    }
    .addtrafo, .addbcmod {
            width: 180;
            height:28;
            padding: 0;
    }
    
    .arginput {
        padding: 1;
        margin: 4;
        
    }
    
    
    
    /* centering of trafos */
    .meshtrafowrapper {
        margin: 30 auto 50 auto;
        text-align: left;
        width: 600;
    }
    .bcmodwrapper {
        margin: 30 auto 50 auto;
        text-align: left;
        width: 750;
    }

    /* caption for dropdowns */
    
    /* mesh trafo */
    .labeltrafo {
        display: inline-block;
        text-align: left;
        width: 200;
        margin: 2 0 2 0;
    }
    .labeltrafoarg {
        display:inline-block;
        text-align: left;
        width: 200; /* Not necessary, since only 70% width remains */
        margin: 2 0 2 0;
}

    /* bc mod */
    .labelbcmod {
        display: inline-block;
        text-align: left;
        width: 180;
        margin: 2 0 2 0;
    }
    .labelbcmodpattern {
        display: inline-block;
        text-align: left;
        width: 200;
        margin: 2 0 2 0;
    }
    .labelbcmodnewpatch {
        display: inline-block;
        text-align: left;
        width: 200;
        margin: 2 0 2 0;
    }

    /* dropdown buttons */
    .myselect {
        width: 180;
    }



    /*************************************************************************/
    /* output section */
    
    /* mesh info line */
    .meshinfo {
        margin: 18 auto 15 auto;
        text-align: center;
    }
    
    .bmdopbutton {
        width: 17em;
        margin: 1em;
    }

    .bmdopform {
        margin:auto;
        text-align:center;
}

    /* blockmeshdict text area */
    .outputtextarea {
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 60em;
        height: 60em;
    }










    /*************************************************************************/
    /* look of help elements */
    .helpbox {
        text-align:right;
    }
    .helpswitch {
        color: #cc0000;
        font-weight: bold;
        font-size: 20;
    }
    .helptext {
        display: none;
        text-align: left;
    }
    sup a {
        text-decoration: none;
        color: #0000ff;
    }

